#include <iostream>
using namespace std;
int main(){
	int T,N,M;
	cin>>T;
	int tac=1;
	for(int i=0;i<T;i++){
		cin>>N>>M;
		int niz1[N],niz2[M];
		for(int j=0;j<N-1;j++){
			cin>>niz1[j];
		}
		for(int j=0;j<N-1;j++){
			cin>>niz2[j];
		}
		for(int j=1;j<N-1;j++){
			if(niz1[j]-niz1[j-1]!=niz1[j+1]-niz1[j]) tac=0;
			for(int k=0;k<N;k++){
				if(niz2[k]==niz1[j]) tac=0;
				else if(niz2[k]+(niz1[j]-niz1[j-1])==niz1[j]) tac=0;
			}
		}
	}
	cout<<tac;
	return 0;
}